Skip to content

# Interface: TooltipProps

Renderer.Component.TooltipProps

## Table of contents

### Properties

- children
- className
- formatters
- offset
- preferredPositions
- style
- targetId
- tooltipOnParentHover
- usePortal
- visible

## Properties

### children

• `Optional` children: `ReactNode`

### className

• `Optional` className: `IClassName`

### formatters

• `Optional` formatters: TooltipContentFormatters

### offset

• `Optional` offset: `number`

### preferredPositions

• `Optional` preferredPositions: TooltipPosition | TooltipPosition[]

### style

• `Optional` style: `CSSProperties`

### targetId

• targetId: `string`

### tooltipOnParentHover

• `Optional` tooltipOnParentHover: `boolean`

### usePortal

• `Optional` usePortal: `boolean`

### visible

• `Optional` visible: `boolean`